export namespace colorTempRange {
    let min: number;
    let max: number;
}
export namespace system {
    namespace sysinfo {
        let sw_ver: string;
        let hw_ver: string;
        let mic_type: string;
        let model: string;
        let deviceId: string;
        let oemId: string;
        let hwId: string;
        let description: string;
        let length: number;
        let is_dimmable: number;
        let is_color: number;
        let is_variable_color_temp: number;
        let status: string;
        let rssi: number;
        let is_factory: boolean;
        let disco_ver: string;
        namespace ctrl_protocols {
            let name: string;
            let version: string;
        }
        namespace lighting_effect_state {
            export let enable: number;
            let name_1: string;
            export { name_1 as name };
            export let custom: number;
            export let id: string;
            export let brightness: number;
        }
        let dev_state: string;
        let active_mode: string;
        let preferred_state: never[];
    }
}
//# sourceMappingURL=kl430.d.ts.map