export namespace system {
    namespace sysinfo {
        let sw_ver: string;
        let hw_ver: string;
        let mic_type: string;
        let model: string;
        let description: string;
        let active_mode: string;
        let rssi: number;
        let dev_state: string;
        let heapsize: number;
        let is_factory: boolean;
        let disco_ver: string;
        let is_dimmable: number;
        let is_color: number;
        let is_variable_color_temp: number;
        namespace ctrl_protocols {
            let name: string;
            let version: string;
        }
        namespace light_state {
            let on_off: number;
            namespace dft_on_state {
                let mode: string;
                let hue: number;
                let saturation: number;
                let color_temp: number;
                let brightness: number;
            }
        }
        let preferred_state: {
            index: number;
            hue: number;
            saturation: number;
            color_temp: number;
            brightness: number;
        }[];
    }
}
//# sourceMappingURL=lb100.d.ts.map