/// <reference types="node" />
/// <reference types="node" />
import dgram from 'node:dgram';
import type TypedEmitter from 'typed-emitter';
type UdpServerEvents = {
    message: (msg: Buffer, rinfo: dgram.RemoteInfo) => void;
};
declare const UdpServer_base: new () => TypedEmitter<UdpServerEvents>;
declare class UdpServer extends UdpServer_base {
    socketBound: boolean;
    socket: dgram.Socket | undefined;
    constructor();
    start({ port }?: {
        port?: number | undefined;
    }): Promise<UdpServer>;
    stop(): void;
}
declare const _default: UdpServer;
export default _default;
//# sourceMappingURL=udp-server.d.ts.map